
#include "nel/3d/u_driver.h"

int main(int argc, char **argv) {
    nlinfo("init...");
	NL3D::UDriver *Driver = NL3D::UDriver::createDriver();
    nlassert(Driver);
	
	Driver->setDisplay(NL3D::UDriver::CMode(800, 600, 32, true));

	nlinfo("... init done");

	do{
		nlinfo("...");
		Driver->EventServer.pump();

		NLMISC::nlSleep(1000);
	} while(Driver->isActive());

    nlinfo("cleaning up...");

    Driver->release();
    delete Driver;
    Driver = NULL;

    nlinfo(".. cleanup done");
}

